Bug 203716 - Entering twice the same additional repository causes a traceback
Entering twice the same additional repository causes a traceback
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
Mike McLean
:
Depends On:
Blocks: FC6Blocker
  Show dependency treegraph
 
Reported: 2006-08-23 09:12 EDT by Matthias Saou
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-05 16:07:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthias Saou 2006-08-23 09:12:48 EDT
I just tried an FTP installation of today's devel tree and managed to get a
traceback :
- When on the first screen to select packages, choose to enter an additional repo
- Enter the reponame "foo" and its valid info
- Go to the next screen and come back
  (possibly not needed, I was testing a comps.xml change in the repo)
- Enter the same reponame "foo" with the same info
- There is a traceback about having two repositories of the same name

Either it should check and complain about already having one with that name
(what happens if someone enters "core" or "development" btw?), or ideally
replace the previously entered one.
Comment 1 Matthias Saou 2006-08-23 10:08:36 EDT
Somewhat related, I'm entering my repository information as follows :

name : freshrpms
url : http://ayo.freshrpms.net/fedora/linux/5/i386/freshrpms/

Which seems to work (no complaining), but on the next screen the groups I've
defined don't appear. Is anaconda properly processing the comps.xml files from
additional repositories?
Comment 2 Chris Lumens 2006-08-23 12:53:35 EDT
Submitted a patch to upstream yum to make this easier to deal with.  We'll fix
this up after we can get a new yum built.

Note You need to log in before you can comment on or make changes to this bug.